#include "display_joystick.h"

bool isLeft(void)
{
  return readAnalog(0) < 1024/2 - 300;
}

bool isRight(void)
{
  return readAnalog(0) > 1024/2 + 300;
}

bool isDown(void)
{
  return readAnalog(1) < 1024/2 - 300;
}

bool isUp(void)
{
  return readAnalog(1) > 1024/2 + 300;
}

bool isCentered(void)
{
  int x = readAnalog(0);
  int y = readAnalog(1);
  return x >= 1024/2 - 200 && x <= 1024/2 + 200 && y >= 1024/2 - 200 && y <= 1024/2 + 200;
}